#!/usr/bin/env python

##system-logviewer
## Copyright (C) 2001-2004 Red Hat, Inc.
## Copyright (C) 2001-2004 Tammy Fox <tfox@redhat.com>

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#Originally Written by Tammy Fox
#Created December 12, 2001

## Coding conventions
## function names have underscores (_)
## variable names are semiStudlyCapped
## class names are StudlyCapped
## class instances are semiStudlyCapped

import LogViewerGui
import signal
import sys
import getopt
import string

if __name__ == "__main__":
    signal.signal (signal.SIGINT, signal.SIG_DFL)

width=620
height=440
allowConfigChanges = 1
progName = "system-logviewer"
configFile = "/etc/sysconfig/%s"%(progName)
initialView = ""

try:
    opts, args = getopt.getopt(sys.argv[1:], '', ['width=','height=','help','noedit','configfile=','setinitialview='])
except getopt.error:
    print "Usage: %s [OPTIONS]"%(progName)
    print "Options:"
    print " --width=<width>"
    print " --height=<height>"
    print " --configfile=<file>"
    print " --setinitialview=<logname>"
    print " --noedit"
    sys.exit(2)

for n in opts:
    (opt, value) = n
    if opt == '--width':
        width = int(value)
    elif opt == '--height':
        height = int(value)
    elif opt == '--noedit':
        allowConfigChanges = 0;
    elif opt == '--configfile':
        configFile = string.strip(value)
    elif opt == '--setinitialview':
        initialView = string.strip(value)
    elif opt == '--help':
        print "Usage: %s [OPTIONS]"%(progName)
        print "Options:"
        print "--width=<width>"
        print "--height=<height>"
        print "--configfile=<file>"
        print "--setinitialview=<logname>"
        print "--noedit"
        sys.exit(2)

LogViewerGui.LogViewerGui(width,height, allowConfigChanges, configFile,initialView)

